Skip to content

Attach/Detach Reserve IP

PUT
/notebooks/{notebook_id}/actions/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/actions/?project_id=<PROJECT_ID>&action=<ACTION>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"reserved_ip_id": 49
}'
notebook_id
required
integer
project_id
required
integer

Project ID

action
required
string
Allowed values: attach_reserve_ip detach_reserve_ip
active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
reserved_ip_id

ID of the reserved IP. Send it only with attach_reserve_ip.

integer

Example

49

Notebook attached/detach to reserved IP successfully

Media typeapplication/json
object
code
integer
data
object
errors
object
message
string

Example

{
"code": 200,
"data": {},
"errors": {},
"message": "Notebook attach_reserve_ip successfully"
}